/*=========================================================================

Program:   Orbit Visualization Tool
Source:    $Source: /stor/devel/ovt2g/ovt/gui/DataModuleCustomizer.java,v $
Date:      $Date: 2000/11/26 17:02:04 $
Version:   $Revision: 1.1 $


Copyright (c) 2000 OVT Team (Kristof Stasiewicz, Mykola Khotyaintsev,
Yuri Khotyaintsev)
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification is permitted provided that the following conditions are met:

 * No part of the software can be included in any commercial package without
written consent from the OVT team.

 * Redistributions of the source or binary code must retain the above
copyright notice, this list of conditions and the following disclaimer.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS
IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT OR
INDIRECT DAMAGES  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE.

OVT Team (http://ovt.irfu.se)   K. Stasiewicz, M. Khotyaintsev, Y.
Khotyaintsev

=========================================================================*/

/*
 * DataModuleCustomizer.java
 *
 * Created on November 25, 2000, 9:21 PM
 */

package ovt.gui;

import ovt.*;
import ovt.mag.*;
import ovt.util.*;
import ovt.event.*;
import ovt.beans.*;
import ovt.object.*;
import ovt.datatype.*;
import ovt.interfaces.*;
import ovt.object.editor.*;

import java.io.*;
import java.util.*;
import java.lang.*;
import java.beans.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


/**
 *
 * @author  ko
 * @version 
 */
public class DataModuleCustomizer extends JDialog implements PropertyChangeListener {
    
    protected DataModule module;
    private Descriptors desc;
    
    public DataModuleCustomizer(DataModule amodule) {
        super();
        setTitle(amodule.getSat().getName() + " : Data");
        this.module = module;
        //desc = module.getDescriptors();
        
        //JTextField gapField = (JTextField)((ComponentPropertyEditor)(desc.getDescriptor("gap").getPropertyEditor())).getComponent();
        
        Container cont = getContentPane();
        // create layout : new java.awt.GridLayout (4, 1, 5, 5)
        cont.setLayout(new BorderLayout());
        
        
        pack();
        //setResizable(false);
        
    }
    
    public void propertyChange(PropertyChangeEvent evt) {
        // listens to visibility change of a camera
        String propertyName = evt.getPropertyName();
        if (propertyName.equals("customizerVisible")) {
            
            boolean value = ((Boolean)evt.getNewValue()).booleanValue();
            setVisible(value);
            
        } 
    }

}