/*=========================================================================

  Program:   Orbit Visualization Tool
  Source:    $Source: /stor/devel/ovt2g/ovt/beans/BooleanEditor.java,v $
  Date:      $Date: 2000/04/11 15:41:55 $
  Version:   $Revision: 1.2 $


Copyright (c) 2000 OVT Team (Kristof Stasiewicz, Mykola Khotyaintsev, 
Yuri Khotyaintsev)
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification is permitted provided that the following conditions are met:

 * No part of the software can be included in any commercial package without
written consent from the OVT team.

 * Redistributions of the source or binary code must retain the above
copyright notice, this list of conditions and the following disclaimer.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS
IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT OR
INDIRECT DAMAGES  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE.

OVT Team (http://ovt.irfu.se)   K. Stasiewicz, M. Khotyaintsev, Y.
Khotyaintsev

=========================================================================*/

/*
 * BooleanEditor.java
 *
 * Created on March 7, 2000, 7:29 PM
 */
 
package ovt.beans;

/** 
 *
 * @author  root
 * @version 
 */
public class BooleanEditor extends MenuPropertyEditor {

  /** Creates new BooleanEditor */
  public BooleanEditor(BasicPropertyDescriptor pd) {
    super(pd);
    setTags(new String[]{"true", "false"});
    setValues(new Object[]{new Boolean(true), new Boolean(false)});
  }
  
  public BooleanEditor(BasicPropertyDescriptor pd, int type) {
    super(pd, type);
    setTags(new String[]{"true", "false"});
    setValues(new Object[]{new Boolean(true), new Boolean(false)});
  }
}